Tag Archives: Part

No Thumbnail

Tekla Open API: Rotate Part

This article explains how you can rotate existing parts in a Tekla Structure model using the Tekla Open API in VB.Net. Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been

No Thumbnail

Tekla Structures, Create Ties For Part of Column or Beam

Previously in the article Tekla Structures, Create Rectangular Tie Reinforcement I’ve explained how you can fill a column or beam with ties from one end to the other. In this article I will explain how you can create ties for only a part of the column or

No Thumbnail

Tekla Open API: Get Part Length

This article explains how you can get the length of a part using the Tekla Open API. Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been covered in

No Thumbnail

Tekla Open API: Move Part

This article explains how you can move existing parts in a Tekla Structure model using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This